#define git %%{nil}

Name:		mdadm
Version:	4.1
Release:	%mkrel 5
Summary:	A tool for managing Soft RAID under Linux
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://www.kernel.org/pub/linux/utils/raid/mdadm/
Source0:	http://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{!?git:%version}%{?git:%git}.tar.xz
%if %{?git:0}%{?!git:1}
Source1:	http://www.kernel.org/pub/linux/utils/raid/mdadm/mdadm-%{version}.tar.sign
%endif
# fixes from uptream
Patch001:	0001-Assemble-keep-MD_DISK_FAILFAST-and-MD_DISK_WRITEMOST.patch
Patch002:	0002-Document-PART-POLICY-lines.patch
Patch003:	0003-policy-support-devices-with-multiple-paths.patch
Patch004:	0004-mdcheck-add-systemd-unit-files-to-run-mdcheck.patch
Patch005:	0005-Monitor-add-system-timer-to-run-oneshot-periodically.patch
Patch006:	0006-imsm-update-metadata-correctly-while-raid10-double-d.patch
Patch007:	0007-Assemble-mask-FAILFAST-and-WRITEMOSTLY-flags-when-fi.patch
Patch008:	0008-Grow-avoid-overflow-in-compute_backup_blocks.patch
Patch009:	0009-Grow-report-correct-new-chunk-size.patch
Patch010:	0010-policy.c-prevent-NULL-pointer-referencing.patch
Patch011:	0011-policy.c-Fix-for-compiler-error.patch
Patch012:	0012-imsm-finish-recovery-when-drive-with-rebuild-fails.patch
Patch013:	0013-imsm-fix-reshape-for-2TB-drives.patch
Patch014:	0014-Fix-spelling-typos.patch
Patch015:	0015-Detail.c-do-not-skip-first-character-when-calling-xs.patch
Patch016:	0016-Fix-reshape-for-decreasing-data-offset.patch
Patch017:	0017-mdadm-tests-add-one-test-case-for-failfast-of-raid1.patch
Patch018:	0018-mdmon-don-t-attempt-to-manage-new-arrays-when-termin.patch
Patch019:	0019-mdmon-wait-for-previous-mdmon-to-exit-during-takeove.patch
Patch020:	0020-Assemble-Fix-starting-array-with-initial-reshape-che.patch
Patch021:	0021-add-missing-units-to-examine.patch

# From Fedora
Patch100:       mdadm-4.1-no-Werror.patch
Source3:	mdadm-raid-check
Source4:	mdadm-raid-check-sysconfig
Source5:	mdadm-cron
# From Fedora, modified because our initscripts do not use incremental assembly
# modification can be reverted only _after_ initscripts has been fixed and a
# conflict for older inistcripts is added (bluca)
Source6:	mdadm.rules
Source7:	mdmonitor.service
Source8:	mdmonitor-takeover.service
Source9:	%{name}-tmpfiles.conf
#
Requires(pre):   filesystem >= 2.1.9-18
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
# udev rule used to be in udev package
Conflicts:	udev < 145-2
BuildRequires:	groff

%description
mdadm is a program that can be used to create, manage, and monitor
Linux MD (Software RAID) devices.

As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single
program, and it can perform (almost) all functions without a
configuration file (that a config file can be used to help with
some common tasks).

%prep
%setup -q %{?git:-n %name}
%autopatch -p1

echo "PROGRAM %{_sbindir}/mdadm-syslog-events" >> mdadm.conf-example

%build
make SYSCONFDIR="%{_sysconfdir}" CXFLAGS="%{optflags} -Wno-error=format-truncation -Wno-error=restrict -Wno-format-overflow"

%install
%make_install MANDIR=%{_mandir} BINDIR=%{_sbindir} UDEVDIR=%{_prefix}/lib/udev
install -Dp -m 644 mdadm.conf-example %{buildroot}%{_sysconfdir}/mdadm.conf
install -Dp %{SOURCE3} %{buildroot}%{_sbindir}/raid-check
install -Dp -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/raid-check
install -Dp -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/cron.d/raid-check
install -Dp misc/syslog-events %{buildroot}%{_sbindir}/mdadm-syslog-events

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE7} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE8} %{buildroot}%{_unitdir}
# (cg) Mask the sysvinit script
ln -s mdmonitor.service %{buildroot}%{_unitdir}/mdadm.service

install -D -p -m 644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%preun
%_preun_service mdadm

%post
%_tmpfilescreate %{name}
ENABLE=
[ ! -f /var/lib/rpm-helper/systemd-migration/mdadm ] && ENABLE=yes
%_post_service mdadm
if [ "$ENABLE" = "yes" -a -L %{_sysconfdir}/systemd/system/multi-user.target.wants/mdmonitor.service -a ! -L %{_sysconfdir}/systemd/system/sysinit.target.wants/mdmonitor-takeover.service ]; then
  systemctl --quiet enable mdmonitor-takeover.service
fi

%files
%doc TODO ChangeLog README.initramfs ANNOUNCE*
%{_sbindir}/mdadm
%{_sbindir}/mdadm-syslog-events
%{_sbindir}/mdmon
%{_sbindir}/raid-check
%config(noreplace) %{_sysconfdir}/cron.d/raid-check
%config(noreplace,missingok) %{_sysconfdir}/mdadm.conf
%config(noreplace) %{_sysconfdir}/sysconfig/raid-check
%{_udevrulesdir}/01-md-raid-creating.rules
%{_udevrulesdir}/63-md-raid-arrays.rules
%{_udevrulesdir}/64-md-raid-assembly.rules
%{_udevrulesdir}/69-md-clustered-confirm-device.rules
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/mdadm.service
%{_unitdir}/mdmonitor.service
%{_unitdir}/mdmonitor-takeover.service
%dir %ghost %attr(0700, root, root) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/mdadm.pid
%{_mandir}/man*/md*


%changelog
* Sun Feb 23 2020 daviddavid <daviddavid> 4.1-5.mga8
+ Revision: 1549664
- add fedora patch to build without -Werror
- make sure pid files and /run/mdadm folder are removed when uninstalled
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Apr 05 2019 tmb <tmb> 4.1-4.mga7
+ Revision: 1386052
- add fixes from upstream
- mdmonitor: use /run instead of /var/run

* Sat Feb 02 2019 tmb <tmb> 4.1-2.mga7
+ Revision: 1362496
- add fixes from upstream

* Sun Jan 13 2019 tmb <tmb> 4.1-1.mga7
+ Revision: 1356100
- update to 4.1
  * drop merged patches

* Fri Sep 28 2018 umeabot <umeabot> 4.0-3.mga7
+ Revision: 1309402
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 tv <tv> 4.0-2.mga7
+ Revision: 1155738
- add build fixes from FC

* Tue Jan 10 2017 tmb <tmb> 4.0-1.mga6
+ Revision: 1080866
- update to 4.0 final

* Wed Jan 04 2017 tmb <tmb> 3.4-3.mga6
+ Revision: 1080090
- Don't assume VMD sysfs path ends with a disk entry

* Tue Jan 03 2017 tmb <tmb> 3.4-2.mga6
+ Revision: 1079914
- IMSM: Fix signed/unsigned comparisons
- add post 3.4 fixes from git
- update to 3.4

* Fri Feb 12 2016 umeabot <umeabot> 3.3.4-3.mga6
+ Revision: 956145
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 3.3.4-2.mga6
+ Revision: 867937
- rebuild for new gcc

* Wed Aug 05 2015 tmb <tmb> 3.3.4-1.mga6
+ Revision: 861418
- update to 3.3.4

* Sat Aug 01 2015 tmb <tmb> 3.3.3-1.mga6
+ Revision: 860207
- update to 3.3.3

* Wed Oct 15 2014 umeabot <umeabot> 3.3.2-3.mga5
+ Revision: 745629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.2-2.mga5
+ Revision: 682322
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tmb <tmb> 3.3.2-1.mga5
+ Revision: 673161
- update to 3.3.2

* Mon Jul 07 2014 pterjan <pterjan> 3.3.1-1.mga5
+ Revision: 650342
- 3.3.1 (Bug-fix release with minor features such as systemd integration)

* Tue Oct 22 2013 umeabot <umeabot> 3.3-2.mga4
+ Revision: 541874
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 tmb <tmb> 3.3-1.mga4
+ Revision: 496491
- update to 3.3

* Sun Mar 24 2013 colin <colin> 3.2.6-3.mga3
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Sat Jan 12 2013 umeabot <umeabot> 3.2.6-2.mga3
+ Revision: 359881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 tmb <tmb> 3.2.6-1.mga3
+ Revision: 310994
- update to 3.2.6
- drop P0 (merged)

* Tue Sep 11 2012 tv <tv> 3.2.5-6.mga3
+ Revision: 292453
- drop sysvinit support

* Sun Jul 29 2012 colin <colin> 3.2.5-5.mga3
+ Revision: 275767
- Add tmpfiles to fix startup issues for mdadm monitor
- Fix leakage of (expected) error code from %%post

* Fri Jul 27 2012 tv <tv> 3.2.5-4.1.mga3
+ Revision: 275055
- new version
- drop merged patches
- s/bash/sh/ in udev rule (instead of doing it when building installer stage2)
+ colin <colin>
- Allow migration to the systemd units included
- Do not load the environment file in systemd unit as there are no options used.

* Sat Apr 28 2012 tmb <tmb> 3.2.3-4.mga2
+ Revision: 233783
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 23 2012 tmb <tmb> 3.2.3-3.mga2
+ Revision: 233135
- super1: make aread/awrite always use an aligned buffer (P2)
- Use posix_memalign() for memory used to write bitmaps (P3)
- Print error message if failing to write super for 1.x metadata (P4)
- Bitmap_offset is a signed number (P5)
- fix: Monitor sometimes crashes (P6)

* Tue Mar 13 2012 guillomovitch <guillomovitch> 3.2.3-2.mga2
+ Revision: 223250
- spec cnealup
- systemd support

* Fri Dec 23 2011 tmb <tmb> 3.2.3-1.mga2
+ Revision: 187034
- update to 3.2.3
- rediff P1

* Wed Dec 07 2011 tmb <tmb> 3.2.2-2.mga2
+ Revision: 178079
- rebuild with gcc-4.6.2

* Fri Oct 28 2011 tmb <tmb> 3.2.2-1.mga2
+ Revision: 158918
- new version 3.2.2 (synced with mdv)
- resync raid check and mdadm init scripts with fedora (bluca, mdv)
  * Don't report mismatch counts on either raid1 or raid10
  * Check both active and idle arrays during raid check runs
  * Move the raid-check script from cron.weekly to /usr/sbin, add a
    crontab file to /etc/cron.d and mark it config(noreplace). This way
    users can select their own raid-check frequency and have it honored
    through upgrades.
  * Allow the raid-check script to set the process and io priority of the
    thread performing the check in order to preserve responsiveness of the
    machine during the check.
- split udev rules in two files like fedora, but honor dracut rd.md.imsm=0
  kernel command line and keep /dev/.in_sysinit hack
- add patch from fedora to fix build with -Wno-unused-parameter
- add two patches to fix build with -Wstrict-aliasing
- remove container-stop patch merged upstream

* Sat Apr 02 2011 tmb <tmb> 3.1.5-1.mga1
+ Revision: 79866
- update to 3.1.5
- drop P2 (merged)

* Wed Jan 12 2011 tmb <tmb> 3.1.4-3.mga1
+ Revision: 7583
- imported package mdadm


* Wed Jan 12 2011 Thomas Backlund <tmb@mageia.org> 3.1.4-3.mga1
- initial Mageia import
- switch to mkrel

* Sun Dec 12 2010 Luca Berra <bluca@mandriva.org> 3.1.4-2mnb2
+ Revision: 620609
- add udev patch again
- fix a segfault in mdadm -C --metadata=imsm
- try to workaround mdadm -Ss not always stopping container

* Tue Aug 31 2010 Thomas Backlund <tmb@mandriva.org> 3.1.4-1mnb2
+ Revision: 574669
- update to 3.1.4
- drop P3-P7 (merged)

* Sat Aug 21 2010 Thomas Backlund <tmb@mandriva.org> 3.1.3-1mnb2
+ Revision: 571551
- update to 3.1.3
- drop P1, P2 (not needed anymore)
- Fix compiler warning concering bad use of snprintf (P3)
- Don't link mdadm with pthreads, only mdmon needs it (P4)
- Incremental: return success in 'container not enough' case (P5)
- Incremental: accept '--no-degraded' as a deprecated option (P6)
- Allow --incremental to add spares to an array (P7)

* Tue Mar 16 2010 Luca Berra <bluca@mandriva.org> 3.1.2-1mnb2
+ Revision: 522402
- update to final 3.1.2

* Sun Mar 07 2010 Luca Berra <bluca@mandriva.org> 3.1.1-1mnb2
+ Revision: 515442
- update to latest git
- use only /dev/.mdadm for mdmon pid/socket
- reflect the change in man pages
- only takeover mdmon once
- use syslog-events as default "PROGRAM" for mdadm --monitor
- more mdmon fixes
- update to latest git (3.1.1) + patches

* Tue Dec 29 2009 Luca Berra <bluca@mandriva.org> 3.0.3-2mnb2
+ Revision: 483236
- Add 13 imsm related patches from latest git
- update to mdadm 3.0.3
  drop patches merged upstream
  drop unused static patch
  sync with fedora
- Fix display of metadata version in output of Detail mode
- Add UUID output to --detail --export (bz523314)
- Add a patch fixing mdadm --detail -export segfaults (bz526761, bz523862)
- Add a patch making mdmon store its state under /dev/.mdadm for initrd mdmon, rootfs mdmon handover
- Restart mdmon from initscript (when running) for rootfs mdmon handover
- Fix a problem in the raid-check script (bz523000)
- Fix the intel superblock handler so we can test on non-scsi block devices
- Drop the endian patch because it no longer applied cleanly and all attempts to reproduce the original problem as reported in bz510605 failed
- Update the mdmonitor init script for LSB compliance (bz527957)

* Mon Dec 07 2009 Pascal Terjan <pterjan@mandriva.org> 3.0.2-3mnb2
+ Revision: 474359
- Workaround build failure due to bug #56246

* Thu Oct 08 2009 Luca Berra <bluca@mandriva.org> 3.0.2-2mnb2
+ Revision: 455998
- Fix null-dereference in set_member_info

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.2-1mnb2
+ Revision: 449106
- update to new version 3.0.2

* Thu Sep 03 2009 Pascal Terjan <pterjan@mandriva.org> 3.0-4mnb2
+ Revision: 428322
- Add missing space in mdadm --detail --brief

* Fri Jul 31 2009 Anssi Hannula <anssi@mandriva.org> 3.0-3mnb2
+ Revision: 405012
- add conflicts with old udev due to the rules file

* Fri Jul 31 2009 Luca Berra <bluca@mandriva.org> 3.0-2mnb2
+ Revision: 405002
- use udev rule shipped with mdadm, with check to avoid race with rc.sysinit
- remove mdmpd from source rpm
- remove mdassemble, it is not used anymore, we are also not building any static binary
- fix endian bug in uuid generation (fedora)
- add script to do periodic checks on arrays (fedora)
- sync initscript with fedora
- misc spec updates (rpmlint)
- update udev rules (from fedora) fixes nasty race that would result in
  degraded arrays at boot

  + Pascal Terjan <pterjan@mandriva.org>
    - Update to 3.0

* Tue Mar 10 2009 Thomas Backlund <tmb@mandriva.org> 2.6.9-1mnb2
+ Revision: 353513
- update to 2.6.9
- rediff patch5

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.8-1mnb2
+ Revision: 317090
- 2.6.8
- drop upstream implemented patches;
  P6: fix parameters to open calls (from Fedora)
  P7: fix raid10 NULL pointer oops
- rediffed some fuzzy patches (P0,P4)
- redefine %%{_sbindir} to /sbin

* Mon Nov 03 2008 Thomas Backlund <tmb@mandriva.org> 2.6.7-2mnb2
+ Revision: 299593
- add P7: fix raid10 NULL pointer oops

* Thu Jul 24 2008 Olivier Blin <oblin@mandriva.com> 2.6.7-1mnb2
+ Revision: 245826
- buildrequire glibc-static-devel (for the about useless static patch)
- update udev rules to run degraded arrays and get additional info
  about arrays being assembled (from Fedora)
- fix parameters to open calls (from Fedora)
- add build fixes from Fedora
- update license tag
- update URL
- 2.6.7 (with incrematal assembly fixes that should fix #40023)
- use s390 patch from RH to disable Werror (instead of our hack in setup)
- remove udev patch, upstream mdadm should now be udev friendly
- add cflags patch from Fedora
- add static patch from Fedora (easier to apply other patches on top)
- renumber mdmpd patches

* Wed Jun 11 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.4-3mnb2
+ Revision: 217954
- fix "error: Missing %%files for subpackage mdmpd"
- rebuilt against dietlibc-devel-0.32

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.6.4-2mnb1
+ Revision: 170655
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1
- fix no-buildroot-tag

* Thu Feb 07 2008 Olivier Blin <oblin@mandriva.com> 2.6.4-2mdv2008.1
+ Revision: 163837
- add a udev rules file for device assembly (from RH #429604)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 10 2007 David Walluck <walluck@mandriva.org> 2.6.4-1mdv2008.1
+ Revision: 107333
- 2.6.4

* Wed Sep 05 2007 David Walluck <walluck@mandriva.org> 2.6.3-4mdv2008.0
+ Revision: 79667
- set CXFLAGS directly in Makefile
- disable -fstack-protector

* Tue Aug 28 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.3-2mdv2008.0
+ Revision: 72335
- rebuild to fix mdassemble segfault

* Mon Aug 20 2007 David Walluck <walluck@mandriva.org> 2.6.3-1mdv2008.0
+ Revision: 68044
- 2.6.3

* Mon May 21 2007 David Walluck <walluck@mandriva.org> 2.6.2-2mdv2008.0
+ Revision: 29526
- add patch to fix -Werror
- clean up patch list
- remove some spurious BuildRequires
- 2.6.2
- some spec reoganization

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - don't use -Werror on sparc either
    - parallell build


* Fri Mar 09 2007 David Walluck <walluck@mandriva.org> 2.6.1-1mdv2007.1
+ Revision: 138616
- 2.6.1

* Mon Jan 15 2007 David Walluck <walluck@mandriva.org> 2.6-1mdv2007.1
+ Revision: 108996
- 2.6

* Thu Dec 14 2006 Emmanuel Andry <eandry@mandriva.org> 2.5.6-2mdv2007.1
+ Revision: 96855
- rebuild

* Wed Dec 13 2006 Emmanuel Andry <eandry@mandriva.org> 2.5.6-1mdv2007.1
+ Revision: 96579
- New version 2.5.6
  drop patches 15 and 16 (applied upstream)

* Fri Sep 15 2006 Luca Berra <bluca@mandriva.org> 2.5.3-3mdv2007.0
+ Revision: 61509
- make mdasseble also enable read-write
- fix a bug in mdassemble that prevented activation of stacked arrays (#25459)
- do not fail when autoassembling everything and some md are already active
- make mdmpd build again (Oden)
  but make it a subpackage and disabled by default
- new upstream version 2.5.3

* Fri Jul 07 2006 Luca Berra <bluca@mandriva.org> 2.5.2-1mdv2007.0
+ Revision: 38423
- updated p14 to deal with new location of udev db
- new upstream version 2.5.2
  remove patches integrated upstream
- new upstream version 2.5.1
  remove patches integrated upstream
- automatically create devices if using udev (p14)
- add p12 and p13 from git
- use %%bcond for conditional build options
- * Mon Jun 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org>
- Fix using ++ in a macro argument.
- remove patches merged upstream
- New Upstream version 2.5.1
- New Upstream version 2.5.1
- uncompressed scripts
- import mdadm-2.5-1mdv2007.0

* Mon May 29 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5-2mdv2007.0
- use provided sha1 (and don't link against openssl...)

* Sun May 28 2006 Luca Berra <bluca@vodka.it> 2.5-1mdv2007.0
- New release 2.5
- rework p14 to remove more warnings
- use posix rand() function instead of BSD random() (p15)
- fix some issue with mdassemble (p16)
- mdassemble does not need to parse auto=

* Sun May 28 2006 Luca Berra <bluca@vodka.it> 2.4.1-1mdv2007.0
- New release 2.4.1

* Sat May 27 2006 Luca Berra <bluca@vodka.it> 2.4-1mdv2007.0
- New release 2.4
- snprintf fix (p11)
- another strict-aliasing fix (p12)
- add a debug message to Grow.c and remove a gcc warning (p14)
- remove mkinitramfs script, we have our own mkinitrd/mkinitramfs.

* Fri Apr 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.3.1-3mdk
- build against dietlibc on sparc
- fix executable-marked-as-config-file

* Sat Feb 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.3.1-2mdk
- Patch13: fix #include for kernel byteswap functions

* Mon Feb 06 2006 Luca Berra <bluca@vodka.it> 2.3.1-1mdk
- New Release 2.3.1
- re-enable strict aliasing in CFLAGS (fixed upstream)
- remove p11 merged upstream

* Sat Feb 04 2006 Luca Berra <bluca@vodka.it> 2.3-1mdk
- New Release 2.3
- remove p11 and p12 merged upstream
- disable strict aliasing in CFLAGS
- x86_64 fix (p11)

* Thu Jan 26 2006 Luca Berra <bluca@vodka.it> 2.2-4mdk
- rework UUID update patch (p11)
- add another typo patch to super1.c (p12)

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 2.2-3mdk
- convert parallel init to LSB

* Wed Jan 04 2006 Luca Berra <bluca@vodka.it> 2.2-2mdk
- add UUID update patch

* Mon Jan 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1mdk
- new release
- install new mkinitramfs

* Mon Jan 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.12.0-4mdk
- rollback, mdadm doesn't need harddrake service to be run before
- add parallel init support to mdmpd

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 1.12.0-3mdk
- parallel init support

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.12.0-2mdk
- Rebuild

* Sun Jun 19 2005 Luca Berra <bluca@vodka.it> 1.12.0-1mdk 
- 1.12.0
- removed patches merged upstream

* Mon Jun 13 2005 Luca Berra <bluca@vodka.it> 1.12.0-0.test.1mdk 
- 1.12.0 test
- removed gcc4 patch
- added fix for stacked device when using --auto and udev
- use Require(xxx) instead of PreReq

* Tue May 17 2005 Luca Berra <bluca@vodka.it> 1.11.0-1mdk 
- 1.11.0
- fixed build with gcc4 (p11)
- added man page for mdadm (p12)

* Wed Mar 30 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.0-3mdk
- rebuilt against latest dietlibc

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.9.0-2mdk
- rebuilt because the binary got lost in cyberspace

* Sun Feb 06 2005 Luca Berra <bluca@vodka.it> 1.9.0-1mdk 
- 1.9.0

* Sat Jan 29 2005 Luca Berra <bluca@vodka.it> 1.9.0-0.pre1.1mdk 
- 1.9.0-pre1
- removed autodev and stacking patches merged upstream

* Sun Jan 23 2005 Luca Berra <bluca@vodka.it> 1.8.0-3mdk 
- updated autodev patch
- fix mdadm -As not starting stacked devices

* Sun Jan 23 2005 Luca Berra <bluca@vodka.it> 1.8.0-2mdk 
- added auto=dev option
- re-enabled device autocreation in mdassemble

* Tue Nov 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8.0-1mdk
- new release
- kill patches 101, 102, 103 and 104 (merged upstream)

* Tue Sep 07 2004 Luca Berra <bluca@vodka.it> 1.7.0-3mdk 
- sync with patches merged upstream
- disable device autocreation in mdassemble for now

* Mon Aug 30 2004 Luca Berra <bluca@vodka.it> 1.7.0-2mdk 
- sync with patches merged upstream
- add raid6/raid10 to mdassemble as well
- mdassemble now supports device autocreation

* Tue Aug 24 2004 Luca Berra <bluca@vodka.it> 1.7.0-1mdk 
- 1.7.0
- build mdassemble on ppc as well
- mdadm daemon creates its own pid file
- convert raidtab in mdadm.conf
- prepare for inclusion of mdmpd

* Sat Jun 05 2004 Luca Berra <bluca@vodka.it> 1.6.0-1mdk 
- 1.6.0

